[xiph-commits] r3102 - liboggplay/trunk/Installer

tahn at svn.annodex.net tahn at svn.annodex.net
Wed Jun 27 18:42:58 PDT 2007


Author: tahn
Date: 2007-06-27 18:42:58 -0700 (Wed, 27 Jun 2007)
New Revision: 3102

Added:
   liboggplay/trunk/Installer/MakeMacPluginXPI.sh
Log:
Mac xpi builder script.


Added: liboggplay/trunk/Installer/MakeMacPluginXPI.sh
===================================================================
--- liboggplay/trunk/Installer/MakeMacPluginXPI.sh	                        (rev 0)
+++ liboggplay/trunk/Installer/MakeMacPluginXPI.sh	2007-06-28 01:42:58 UTC (rev 3102)
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+XPTFILE=../plugin/nsILibOggPlugin.xpt
+BUNDLE=../plugin/mac/build/Deployment/liboggplay.plugin
+
+CPU=$(system_profiler SPHardwareDataType | awk '/CPU Type/{print $3}')
+XPINAME=Oggplay-MacOSX-$CPU.xpi
+
+if [ ! -e $XPTFILE ]; then
+  echo "Could not find $XPTFILE"
+  exit 1
+fi
+if [ ! -d $BUNDLE ]; then
+  echo "Could not find $BUNDLE"
+  exit 1
+fi
+
+cp -r $XPTFILE $BUNDLE .
+rm $XPINAME 2>/dev/null
+zip -9r $XPINAME install.js ${XPTFILE##.*/} ${BUNDLE##.*/}
+rm -r ${XPTFILE##.*/} ${BUNDLE##.*/}


Property changes on: liboggplay/trunk/Installer/MakeMacPluginXPI.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the commits mailing list